Bug 217094 - print/tex-xetex should run-depend on print/tex-dvipdfmx
Summary: print/tex-xetex should run-depend on print/tex-dvipdfmx
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-14 11:04 UTC by Tobias C. Berner
Modified: 2018-01-27 11:15 UTC (History)
1 user (show)

See Also:
tcberner: maintainer-feedback-


Attachments
Add dvipdfmx to USE_TEX (645 bytes, patch)
2017-05-18 17:15 UTC, Tobias C. Berner
no flags Details | Diff
Updated patch (667 bytes, patch)
2018-01-22 14:40 UTC, Roger Leigh
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2017-02-14 11:04:53 UTC
Using a simple test-document 'test.tex' I get:

 %  xelatex  test.tex
This is XeTeX, Version 3.14159265-2.6-0.99992 (Web2C 2015) (preloaded format=xelatex)
 restricted \write18 enabled.
entering extended mode
(./test.tex
LaTeX2e <2015/01/01> patch level 2
Babel <3.9l> and hyphenation patterns for 79 languages loaded.
(/usr/local/share/texmf-dist/tex/latex/base/article.cls
Document Class: article 2014/09/29 v1.4h Standard LaTeX document class
(/usr/local/share/texmf-dist/tex/latex/base/size10.clo))
No file test.aux.
[1] (./test.aux)sh: /usr/local/bin/xdvipdfmx: not found
Ausgabeweitergabe abgebrochen


mfg Tobias
Comment 1 Tobias C. Berner freebsd_committer 2017-05-18 17:15:55 UTC
Created attachment 182710 [details]
Add dvipdfmx to USE_TEX
Comment 2 Roger Leigh 2018-01-22 14:02:28 UTC
I ran into this bug while working on https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=187403.  It's a requirement for PDF generation with xetex/xelatex.

I've tested the attached patch, and it works perfectly.  Could it please be applied?
Comment 3 Roger Leigh 2018-01-22 14:40:10 UTC
Created attachment 189967 [details]
Updated patch

Updated portrevision against current SVN.
Comment 4 commit-hook freebsd_committer 2018-01-27 11:14:42 UTC
A commit references this bug:

Author: tcberner
Date: Sat Jan 27 11:14:19 UTC 2018
New revision: 460105
URL: https://svnweb.freebsd.org/changeset/ports/460105

Log:
  print/tex-xetex: Add dvipdfmx to dependencies

  compilation of tex files using xetex will fail with
     (./test.aux)sh: /usr/local/bin/xdvipdfmx: not found
  otherwise.

  PR:		217094
  Approved by:	hrs (maintainer timeout)

Changes:
  head/print/tex-xetex/Makefile